> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Device Login



## OpenAPI

````yaml /openapi.json post /v1/auth/device/start
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.1.11
servers:
  - url: https://almanac-backend-83vc.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/auth/device/start:
    post:
      summary: Start Device Login
      operationId: start_device_login_v1_auth_device_start_post
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostedDeviceLogin'
          description: Successful Response
components:
  schemas:
    HostedDeviceLogin:
      additionalProperties: false
      properties:
        device_code:
          title: Device Code
          type: string
        expires_in:
          title: Expires In
          type: number
        interval:
          default: 5
          title: Interval
          type: number
        user_code:
          title: User Code
          type: string
        verification_uri:
          title: Verification Uri
          type: string
        verification_uri_complete:
          anyOf:
            - type: string
            - type: 'null'
          title: Verification Uri Complete
      required:
        - device_code
        - user_code
        - verification_uri
        - expires_in
      title: HostedDeviceLogin
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````